Kurztipp: YUM-Fehler: „xz compression not available“

Beim Importieren des neuen EPEL7 YUM-Repositories stieß ich kürzlich auf die folgende Fehlermeldung:

# /usr/bin/spacewalk-repo-sync --channel epel-el7-x86_64 
> --url http://dl.fedoraproject.org/pub/epel/beta/7/x86_64/ 
> --type yum -c epel-el7-x86_64
Repo URL: http://dl.fedoraproject.org/pub/epel/beta/7/x86_64/
ERROR: xz compression not available

Die Lösung ist hier recht banal, es fehlte folgende Python-Bibliothek:

# yum install pyliblzma

Der nächste Import funktionierte einwandfrei. 🙂

Sharing is caring


Tweet about this on TwitterShare on FacebookShare on Google+Share on LinkedInShare on XingShare on RedditPrint this pageEmail this to someone

9 Kommentare Schreibe einen Kommentar

  1. Hi,
    my yum was broken and all the time received xz compression not available.
    I can’t install pyliblzma becvause I received same error.

    What can I do now?

    • Hey Gracjan,

      you might need to download the RPM from the appropriate CentOS / Fedora mirror and install it manually with rpm -ivh *pyliblzma*.rpm.

      Best regards,
      Christian!

Schreibe einen Kommentar